Bug 90187 - UNO command to show/hide the track changes toolbar
Summary: UNO command to show/hide the track changes toolbar
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: Other All
: medium enhancement
Assignee: Gülşah Köse
URL:
Whiteboard: target:5.2.0
Keywords:
Depends on:
Blocks: Track-Changes UNO-Command
  Show dependency treegraph
 
Reported: 2015-03-24 06:17 UTC by Yousuf Philips (jay)
Modified: 2016-10-25 19:11 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
dimmed button (2.30 KB, image/png)
2016-01-03 18:15 UTC, Gülşah Köse
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) 2015-03-24 06:17:27 UTC
Similar to the toolbar button for showing/hiding the draw toolbar (.uno:InsertDraw), an uno command to do the same for the track changes toolbar would be useful for inclusion in the standard toolbar.
Comment 1 Yousuf Philips (jay) 2015-03-24 06:56:02 UTC
The uno command should be labelled as TrackChagesBar.

I have added an icon for it. https://gerrit.libreoffice.org/14980
Comment 2 Commit Notification 2015-03-24 09:50:44 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9006b8b1b3ce713d87b0ab90aec43ef0b0555e88

tdf#90187 icon for track changes toolbar button and sidebar

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Gülşah Köse 2015-12-30 23:25:50 UTC
Can you describe the work. Which changes should be track?
Comment 4 Yousuf Philips (jay) 2016-01-02 09:06:29 UTC
(In reply to Gülşah Köse from comment #3)
> Can you describe the work. Which changes should be track?

No changes should be tracked. The UNO command should show or hide the track changes toolbar which is found in View > Tooolbars > Track Changes.
Comment 5 Gülşah Köse 2016-01-02 13:35:16 UTC
Thank you. I am going to try to fix it.
Comment 6 Gülşah Köse 2016-01-03 18:15:44 UTC
Created attachment 121699 [details]
dimmed button

I've sent this patch  https://gerrit.libreoffice.org/21064 . But the track changes bar button seem dimmed. Can anyone help me?
Comment 7 Commit Notification 2016-01-05 21:41:01 UTC
Gulsah Kose committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1949cc74b929e13799686b22b450ded8dbf4c064

tdf#90187 Added uno command for track changes bar.

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Yousuf Philips (jay) 2016-01-20 21:12:40 UTC
Thanks Gulsah for the patch, but unfortunately it doesnt work when .uno:TrackChangesBar is added to the menu, which was one of the main points of having the UNO command. Is this something you can fix?
Comment 9 Gülşah Köse 2016-01-20 21:28:03 UTC
(In reply to Yousuf (Jay) Philips from comment #8)
>it doesnt work when
>.uno:TrackChangesBar is added to the menu, which was one of the main points
> of having the UNO command. Is this something you can fix?

Jay, I couldn't understand the problem. Which menu and how you add there?
Comment 10 Maxim Monastirsky 2016-01-20 21:40:01 UTC
(In reply to Yousuf (Jay) Philips from comment #8)
> Thanks Gulsah for the patch, but unfortunately it doesnt work when
> .uno:TrackChangesBar is added to the menu,
The same way that .uno:InsertDraw doesn't work in a menu ( .uno:TrackChangesBar is sharing the same code with .uno:InsertDraw now). The only way to "fix" it is to throw out everything, and implement from scratch. Implementing show/hide functions shouldn't be that hard, but implement the correct checked/unchecked state isn't trivial I believe.